Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.browserlaunchers
Class DestroyableRuntimeExecutingBrowserLauncher

    java.lang.Object
      org.openqa.selenium.server.browserlaunchers.DestroyableRuntimeExecutingBrowserLauncher

All Implemented Interfaces:
  BrowserLauncher

public class DestroyableRuntimeExecutingBrowserLauncher
extends java.lang.Object
implements BrowserLauncher

Runs the specified command path to start the browser, and kills the process to quit.

Version:
  $Revision: 189 $
Author:
  Paul Hammant

Field Summary
`protected java.lang.String` | `commandPath`
`protected java.lang.Process` | `process`
`protected java.lang.String` | `sessionId`

Constructor Summary
`DestroyableRuntimeExecutingBrowserLauncher(java.lang.String commandPath, java.lang.String sessionId)` Specifies a command path to run

Method Summary
`void` | `close()` Kills the process
`protected void` | `exec(java.lang.String command)`
`void` | `launch(java.lang.String url)`
`void` | `launchHTMLSuite(java.lang.String suiteUrl, java.lang.String browserURL)` Start the browser in Selenese mode, auto-running the specified HTML suite
`void` | `launchRemoteSession(java.lang.String browserURL)` Start the browser and navigate directly to the specified URL

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### process

    protected java.lang.Process process

### commandPath

    protected java.lang.String commandPath

### sessionId

    protected java.lang.String sessionId

Constructor Detail

### DestroyableRuntimeExecutingBrowserLauncher

    public DestroyableRuntimeExecutingBrowserLauncher(java.lang.String commandPath,
                                                      java.lang.String sessionId)

  Specifies a command path to run

Method Detail

### close

    public void close()

  Kills the process

  Specified by:
    `close` in interface `BrowserLauncher`

### launch

    public void launch(java.lang.String url)

### launchHTMLSuite

    public void launchHTMLSuite(java.lang.String suiteUrl,
                                java.lang.String browserURL)

  Description copied from interface: `BrowserLauncher`
  Start the browser in Selenese mode, auto-running the specified HTML suite

  Specified by:
    `launchHTMLSuite` in interface `BrowserLauncher`
  Parameters:
    `suiteUrl` - the url within which to initiate the session (if needed)
    `browserURL` - the url of the HTML suite to launch

### launchRemoteSession

    public void launchRemoteSession(java.lang.String browserURL)

  Description copied from interface: `BrowserLauncher`
  Start the browser and navigate directly to the specified URL

  Specified by:
    `launchRemoteSession` in interface `BrowserLauncher`

### exec

    protected void exec(java.lang.String command)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 null. All Rights Reserved.